#!/usr/bin/python

from setuptools import setup
import codecs
import re
import os

here = os.path.abspath(os.path.dirname(__file__))


def read(*parts):
    return codecs.open(os.path.join(here, *parts), 'r').read()


def find_version(*file_paths):
    version_file = read(*file_paths)
    version_match = re.search(r"^__version__ = ['\"]([^'\"]*)['\"]",
                              version_file, re.M)
    if version_match:
        return version_match.group(1)
    raise RuntimeError("Unable to find version string.")

setup(name='oraculum',
      version=find_version('oraculum', '__init__.py'),
      description='',
      author='Josef Skladanka',
      author_email='jskladan@redhat.com',
      license='GPLv2+',
      packages=['oraculum', 'oraculum.controllers', 'oraculum.models', 'oraculum.utils', 'oraculum.data_providers'],
      package_dir={'oraculum': 'oraculum'},
      entry_points=dict(console_scripts=['oraculum=oraculum.cli:main']),
      include_package_data=True,
      install_requires=[
          'alembic',
          'Flask-Caching',
          'Flask-Cors',
          'Flask-Login',
          'Flask-Sqlalchemy',
          'Flask-Wtf',
          'Flask',
          'icalendar',
          'lxml',
          'mod_wsgi',
          'pygments',
          'python-bugzilla',
          'python-dateutil',
          'pytz',
          'requests',
      ],
      )
